/***************************************************************************
**
**    $Header:   D:/ECB2S/SRC/LOG/CEOPTION.CPP   1.2.1.5   17 Apr 1997 15:43:10   ZJRD  $
**
**    $Log:   D:/ECB2S/SRC/LOG/CEOPTION.CPP  $
** 
**    Rev 1.2.1.5   17 Apr 1997 15:43:10   ZJRD
** No change.
** 
**    Rev 1.2.1.4   16 Apr 1997 10:17:32   ZJRD
** 2.09F
** 
****************************************************************************/

// aeoption.cpp : implementation file
//

#include "stdafx.h"
#include "resource.h" 
#include "uicom.h"

#include "toolopt.h"
#include "ce.h"
#include "ceoption.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CEOption dialog


CEOption::CEOption(CETool *pTool /*=NULL*/)
    : CPropertyPage(CEOption::IDD)
{  
    ASSERT(pTool);
    m_pTool = pTool;
    
    LoadData(); 
    //{{AFX_DATA_INIT(CEOption)
    
    //}}AFX_DATA_INIT
}

void CEOption::DoDataExchange(CDataExchange* pDX)
{
    CPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(CEOption)
    DDX_Text(pDX, IDC_CEOPT_EDIT1, m_strPath);
    DDX_Text(pDX, IDC_CEOPT_EDIT2, m_strProg);
    //}}AFX_DATA_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CEOption message handlers
  void CEOption::SaveData(void)
{                                  
    //UpdateData(TRUE);
    m_strPath.TrimLeft();
    m_strPath.TrimRight();
    m_strProg.TrimLeft();
    m_strProg.TrimRight();
    m_pTool->m_strPath    = m_strPath;
    m_pTool->m_strProg    = m_strProg;
}

 void CEOption::LoadData(void)
{
    m_strPath  = m_pTool->m_strPath;
    m_strProg    = m_pTool->m_strProg;
}

BEGIN_MESSAGE_MAP(CEOption, CPropertyPage)
    //{{AFX_MSG_MAP(CEOption)
	ON_BN_CLICKED(IDC_CEOPT_BROWSE, OnCeoptBrowse)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

     static char BASED_CODE szFilter[] = 
    "Excutable (*.exe)|*.exe|Command (*.com)|*.com|All Files (*.*)|*.*||";

void CEOption::OnCeoptBrowse()
{
   
    CFileDialog dlg(TRUE, NULL, "*.exe", 
        OFN_HIDEREADONLY|OFN_OVERWRITEPROMPT, szFilter, this);                                      
    dlg.m_ofn.lpstrTitle = "Browse"; 
    dlg.SetHelpID(IDD_IDEOPEN);

    if(dlg.DoModal() == IDOK) {
        m_strPath = dlg.GetPathName();
        UpdateData(FALSE);
    }
}
